.products {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 1.5rem;
  list-style: none;
  padding: 0;
  margin: 0;
}

.product-card {
  position: relative;
}
.product-card .offer-badge {
  position: absolute;
  top: 0;
  right: 0;
  background-color: var(--y-color-crimson);
  color: #fff;
  padding: 0.3rem 0.6rem 0.3rem 1rem;
  font-size: 0.8rem;
  border-radius: 0 16px 0 50px;
  font-weight: bold;
  z-index: 1;
}

.product-card-pricing {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 0.5rem;
  margin-top: 0.5rem;
}

.product-card-price-new {
  color: var(--y-color-crimson);
  font-weight: bold;
  font-size: 1.2rem;
}

.product-card-price-old {
  color: #999;
  font-size: 1rem;
}

@media (max-width: 820px) {
  .products {
    grid-template-columns: repeat(2, 1fr);
    gap: 1rem;
    padding: 1rem;
  }

  .product-card-price-new {
    font-size: 1.5rem;
  }

  .product-card-price-old {
    font-size: 1.3rem;
  }
}
